Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.spi
Interface ReflectionOptimizer.InstantiationOptimizer

All Known Implementing Classes:
  InstantiationOptimizerAdapter

Enclosing interface:
  ReflectionOptimizer

    public static interface ReflectionOptimizer.InstantiationOptimizer

Represents optimized entity instantiation.

Method Summary
`Object` | `newInstance()` Perform instantiation of an instance of the underlying class.

Method Detail

### newInstance

    Object newInstance()

  Perform instantiation of an instance of the underlying class.

  Returns:
    The new instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.